/*******************************************************************************
 Copyright (c) Microsoft Open Technologies, Inc. All Rights Reserved.
 Licensed under the MIT or Apache License; see LICENSE in the source repository
 root for authoritative license information.﻿

 **NOTE** This code was generated by a tool and will occasionally be
 overwritten. We welcome comments and issues regarding this code; they will be
 addressed in the generation tool. If you wish to submit pull requests, please
 do so for the templates in that tool.

 This code was generated by Vipr (https://github.com/microsoft/vipr) using
 the T4TemplateWriter (https://github.com/msopentech/vipr-t4templatewriter).
 ******************************************************************************/
package com.microsoft.discoveryservices.orc;

import com.microsoft.discoveryservices.*;
import com.microsoft.services.orc.*;
import com.microsoft.services.orc.interfaces.DependencyResolver;

/**
 * The type EntityContainerClient.
 */
public class DiscoveryClient extends BaseOrcContainer {

     /**
     * Instantiates a new EntityContainerClient.
     *
     * @param url the url
     * @param resolver the resolver
     */
    public DiscoveryClient(String url, DependencyResolver resolver) {
        super(url, resolver);
    }

    /**
     * Add parameter.
     *
     * @param name the name
     * @param value the value
     * @return the client
     */
    public DiscoveryClient addParameter(String name, Object value) {
        addCustomParameter(name, value);
        return this;
    }

     /**
     * Add header.
     *
     * @param name the name
     * @param value the value
     * @return the client
     */
    public DiscoveryClient addHeader(String name, String value) {
        addCustomHeader(name, value);
        return this;
    }

     /**
     * Gets ServiceInfo.
     *
     * @return the ServiceInfo
     */
    public OrcCollectionFetcher<ServiceInfo, ServiceInfoFetcher, ServiceInfoCollectionOperations> getAllServices() {
        return new OrcCollectionFetcher<ServiceInfo, ServiceInfoFetcher, ServiceInfoCollectionOperations>("allServices", this, ServiceInfo.class,ServiceInfoCollectionOperations.class);
    }
     /**
     * Gets ServiceInfo.
     *
     * @return the ServiceInfo
     */
    public OrcCollectionFetcher<ServiceInfo, ServiceInfoFetcher, ServiceInfoCollectionOperations> getServices() {
        return new OrcCollectionFetcher<ServiceInfo, ServiceInfoFetcher, ServiceInfoCollectionOperations>("services", this, ServiceInfo.class,ServiceInfoCollectionOperations.class);
    }
}